/**
 * Speech API
 * The OCI Speech Service harnesses the power of spoken language by allowing developers to easily convert file-based data containing human speech into highly accurate text transcriptions.
 * OpenAPI spec version: 20220101
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as AudioFormatDetails from "./audio-format-details";
export import AudioFormatDetails = AudioFormatDetails.AudioFormatDetails;
import * as ChangeCustomizationCompartmentDetails from "./change-customization-compartment-details";
export import ChangeCustomizationCompartmentDetails = ChangeCustomizationCompartmentDetails.ChangeCustomizationCompartmentDetails;
import * as ChangeTranscriptionJobCompartmentDetails from "./change-transcription-job-compartment-details";
export import ChangeTranscriptionJobCompartmentDetails = ChangeTranscriptionJobCompartmentDetails.ChangeTranscriptionJobCompartmentDetails;
import * as CreateCustomizationDetails from "./create-customization-details";
export import CreateCustomizationDetails = CreateCustomizationDetails.CreateCustomizationDetails;
import * as CreateRealtimeSessionTokenDetails from "./create-realtime-session-token-details";
export import CreateRealtimeSessionTokenDetails = CreateRealtimeSessionTokenDetails.CreateRealtimeSessionTokenDetails;
import * as CreateTranscriptionJobDetails from "./create-transcription-job-details";
export import CreateTranscriptionJobDetails = CreateTranscriptionJobDetails.CreateTranscriptionJobDetails;
import * as Customization from "./customization";
export import Customization = Customization.Customization;
import * as CustomizationCollection from "./customization-collection";
export import CustomizationCollection = CustomizationCollection.CustomizationCollection;
import * as CustomizationDatasetDetails from "./customization-dataset-details";
export import CustomizationDatasetDetails = CustomizationDatasetDetails.CustomizationDatasetDetails;
import * as CustomizationInference from "./customization-inference";
export import CustomizationInference = CustomizationInference.CustomizationInference;
import * as CustomizationInferenceEntity from "./customization-inference-entity";
export import CustomizationInferenceEntity = CustomizationInferenceEntity.CustomizationInferenceEntity;
import * as CustomizationModelDetails from "./customization-model-details";
export import CustomizationModelDetails = CustomizationModelDetails.CustomizationModelDetails;
import * as CustomizationReferencedEntities from "./customization-referenced-entities";
export import CustomizationReferencedEntities = CustomizationReferencedEntities.CustomizationReferencedEntities;
import * as CustomizationSummary from "./customization-summary";
export import CustomizationSummary = CustomizationSummary.CustomizationSummary;
import * as Diarization from "./diarization";
export import Diarization = Diarization.Diarization;
import * as Entity from "./entity";
export import Entity = Entity.Entity;
import * as EntityList from "./entity-list";
export import EntityList = EntityList.EntityList;
import * as InputLocation from "./input-location";
export import InputLocation = InputLocation.InputLocation;
import * as LocationDetails from "./location-details";
export import LocationDetails = LocationDetails.LocationDetails;
import * as ObjectLocation from "./object-location";
export import ObjectLocation = ObjectLocation.ObjectLocation;
import * as OutputLocation from "./output-location";
export import OutputLocation = OutputLocation.OutputLocation;
import * as Pronunciation from "./pronunciation";
export import Pronunciation = Pronunciation.Pronunciation;
import * as RealtimeMessage from "./realtime-message";
export import RealtimeMessage = RealtimeMessage.RealtimeMessage;
import * as RealtimeMessageAckAudioDetails from "./realtime-message-ack-audio-details";
export import RealtimeMessageAckAudioDetails = RealtimeMessageAckAudioDetails.RealtimeMessageAckAudioDetails;
import * as RealtimeMessageAuthentication from "./realtime-message-authentication";
export import RealtimeMessageAuthentication = RealtimeMessageAuthentication.RealtimeMessageAuthentication;
import * as RealtimeMessageOut from "./realtime-message-out";
export import RealtimeMessageOut = RealtimeMessageOut.RealtimeMessageOut;
import * as RealtimeMessageResultTranscription from "./realtime-message-result-transcription";
export import RealtimeMessageResultTranscription = RealtimeMessageResultTranscription.RealtimeMessageResultTranscription;
import * as RealtimeMessageResultTranscriptionToken from "./realtime-message-result-transcription-token";
export import RealtimeMessageResultTranscriptionToken = RealtimeMessageResultTranscriptionToken.RealtimeMessageResultTranscriptionToken;
import * as RealtimeModelDetails from "./realtime-model-details";
export import RealtimeModelDetails = RealtimeModelDetails.RealtimeModelDetails;
import * as RealtimeParameters from "./realtime-parameters";
export import RealtimeParameters = RealtimeParameters.RealtimeParameters;
import * as RealtimeSessionToken from "./realtime-session-token";
export import RealtimeSessionToken = RealtimeSessionToken.RealtimeSessionToken;
import * as SortOrder from "./sort-order";
export import SortOrder = SortOrder.SortOrder;
import * as TranscriptionFilter from "./transcription-filter";
export import TranscriptionFilter = TranscriptionFilter.TranscriptionFilter;
import * as TranscriptionJob from "./transcription-job";
export import TranscriptionJob = TranscriptionJob.TranscriptionJob;
import * as TranscriptionJobCollection from "./transcription-job-collection";
export import TranscriptionJobCollection = TranscriptionJobCollection.TranscriptionJobCollection;
import * as TranscriptionJobSummary from "./transcription-job-summary";
export import TranscriptionJobSummary = TranscriptionJobSummary.TranscriptionJobSummary;
import * as TranscriptionModelDetails from "./transcription-model-details";
export import TranscriptionModelDetails = TranscriptionModelDetails.TranscriptionModelDetails;
import * as TranscriptionNormalization from "./transcription-normalization";
export import TranscriptionNormalization = TranscriptionNormalization.TranscriptionNormalization;
import * as TranscriptionSettings from "./transcription-settings";
export import TranscriptionSettings = TranscriptionSettings.TranscriptionSettings;
import * as TranscriptionTask from "./transcription-task";
export import TranscriptionTask = TranscriptionTask.TranscriptionTask;
import * as TranscriptionTaskCollection from "./transcription-task-collection";
export import TranscriptionTaskCollection = TranscriptionTaskCollection.TranscriptionTaskCollection;
import * as TranscriptionTaskSummary from "./transcription-task-summary";
export import TranscriptionTaskSummary = TranscriptionTaskSummary.TranscriptionTaskSummary;
import * as UpdateCustomizationDetails from "./update-customization-details";
export import UpdateCustomizationDetails = UpdateCustomizationDetails.UpdateCustomizationDetails;
import * as UpdateTranscriptionJobDetails from "./update-transcription-job-details";
export import UpdateTranscriptionJobDetails = UpdateTranscriptionJobDetails.UpdateTranscriptionJobDetails;
import * as EntityListDataset from "./entity-list-dataset";
export import EntityListDataset = EntityListDataset.EntityListDataset;
import * as ObjectListDataset from "./object-list-dataset";
export import ObjectListDataset = ObjectListDataset.ObjectListDataset;
import * as ObjectListFileInputLocation from "./object-list-file-input-location";
export import ObjectListFileInputLocation = ObjectListFileInputLocation.ObjectListFileInputLocation;
import * as ObjectListInlineInputLocation from "./object-list-inline-input-location";
export import ObjectListInlineInputLocation = ObjectListInlineInputLocation.ObjectListInlineInputLocation;
import * as ObjectStorageDataset from "./object-storage-dataset";
export import ObjectStorageDataset = ObjectStorageDataset.ObjectStorageDataset;
import * as ProfanityTranscriptionFilter from "./profanity-transcription-filter";
export import ProfanityTranscriptionFilter = ProfanityTranscriptionFilter.ProfanityTranscriptionFilter;
import * as RealtimeMessageAckAudio from "./realtime-message-ack-audio";
export import RealtimeMessageAckAudio = RealtimeMessageAckAudio.RealtimeMessageAckAudio;
import * as RealtimeMessageAuthenticationCredentials from "./realtime-message-authentication-credentials";
export import RealtimeMessageAuthenticationCredentials = RealtimeMessageAuthenticationCredentials.RealtimeMessageAuthenticationCredentials;
import * as RealtimeMessageAuthenticationToken from "./realtime-message-authentication-token";
export import RealtimeMessageAuthenticationToken = RealtimeMessageAuthenticationToken.RealtimeMessageAuthenticationToken;
import * as RealtimeMessageConnect from "./realtime-message-connect";
export import RealtimeMessageConnect = RealtimeMessageConnect.RealtimeMessageConnect;
import * as RealtimeMessageError from "./realtime-message-error";
export import RealtimeMessageError = RealtimeMessageError.RealtimeMessageError;
import * as RealtimeMessageResult from "./realtime-message-result";
export import RealtimeMessageResult = RealtimeMessageResult.RealtimeMessageResult;
import * as RealtimeMessageSendFinalResult from "./realtime-message-send-final-result";
export import RealtimeMessageSendFinalResult = RealtimeMessageSendFinalResult.RealtimeMessageSendFinalResult;
