/**
 * Core Services API
 * Use the Core Services API to manage resources such as virtual cloud networks (VCNs),
compute instances, and block storage volumes. For more information, see the console
documentation for the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services.
The required permissions are documented in the
[Details for the Core Services](/iaas/Content/Identity/Reference/corepolicyreference.htm) article.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as model from "../model";
/**
 * Specifies the properties for updating maintenance due date.
 *
 */
export interface UpdateInstanceMaintenanceEventDetails {
    /**
      * The beginning of the time window when Maintenance is scheduled to begin. The Maintenance will not begin before
  * this time.
  * <p>
  The timeWindowEnd is automatically calculated based on the maintenanceReason and the instanceAction.
  *
      */
    "timeWindowStart"?: Date;
    /**
     * One of the alternativeResolutionActions that was provided in the InstanceMaintenanceEvent.
     *
     */
    "alternativeResolutionAction"?: model.InstanceMaintenanceAlternativeResolutionActions;
    /**
      * This field is only applicable when setting the alternativeResolutionAction.
  * <p>
  For Instances that have local storage, this must be set to true to verify that the local storage
  * will be deleted during the migration. For instances without, this parameter has no effect.
  * <p>
  In cases where the local storage will be lost, this parameter must be set or the request will fail.
  *
      */
    "canDeleteLocalStorage"?: boolean;
    /**
     * A user-friendly name. Does not have to be unique, and it's changeable.
     * Avoid entering confidential information.
     *
     */
    "displayName"?: string;
    /**
      * Defined tags for this resource. Each key is predefined and scoped to a
  * namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
  * <p>
  Example: {@code {\"Operations\": {\"CostCenter\": \"42\"}}}
  *
      */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
      * Free-form tags for this resource. Each tag is a simple key-value pair with no
  * predefined name, type, or namespace. For more information, see [Resource Tags](https://docs.cloud.oracle.com/iaas/Content/General/Concepts/resourcetags.htm).
  * <p>
  Example: {@code {\"Department\": \"Finance\"}}
  *
      */
    "freeformTags"?: {
        [key: string]: string;
    };
}
export declare namespace UpdateInstanceMaintenanceEventDetails {
    function getJsonObj(obj: UpdateInstanceMaintenanceEventDetails): object;
    function getDeserializedJsonObj(obj: UpdateInstanceMaintenanceEventDetails): object;
}
