/**
 * DevOps API
 * Use the DevOps API to create DevOps projects, configure code repositories,  add artifacts to deploy, build and test software applications, configure  target deployment environments, and deploy software applications.  For more information, see [DevOps](/Content/devops/using/home.htm).
 * OpenAPI spec version: 20210630
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Entry for description of change on a file.
 */
export interface PullRequestFileChangeSummary {
    /**
     * Type of change made to file.
     */
    "changeType": string;
    /**
     * The type of the changed object.
     */
    "objectType"?: string;
    /**
     * The ID of the commit where the change is coming from.
     */
    "commitId"?: string;
    /**
     * The path on the target to the changed object.
     */
    "oldPath"?: string;
    /**
     * The path on the source to the changed object.
     */
    "newPath"?: string;
    /**
     * The ID of the changed object on the target.
     */
    "oldId"?: string;
    /**
     * The ID of the changed object on the source.
     */
    "newId"?: string;
    /**
     * The number of lines added in whole difference. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "addedLinesCount"?: number;
    /**
     * The number of lines deleted in whole difference. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "deletedLinesCount"?: number;
    /**
     * Indicates whether the changed file contains conflicts.
     */
    "hasConflicts"?: boolean;
    /**
     * Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.  See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: {@code {\"bar-key\": \"value\"}}
     */
    "freeformTags"?: {
        [key: string]: string;
    };
    /**
     * Defined tags for this resource. Each key is predefined and scoped to a namespace. See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: {@code {\"foo-namespace\": {\"bar-key\": \"value\"}}}
     */
    "definedTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
    /**
     * Usage of system tag keys. These predefined keys are scoped to namespaces. See [Resource Tags](https://docs.cloud.oracle.com/Content/General/Concepts/resourcetags.htm). Example: {@code {\"orcl-cloud\": {\"free-tier-retained\": \"true\"}}}
     */
    "systemTags"?: {
        [key: string]: {
            [key: string]: any;
        };
    };
}
export declare namespace PullRequestFileChangeSummary {
    function getJsonObj(obj: PullRequestFileChangeSummary): object;
    function getDeserializedJsonObj(obj: PullRequestFileChangeSummary): object;
}
