/**
 * Exadata Fleet Update service API
 * Use the Exadata Fleet Update service to patch large collections of components directly,
as a single entity, orchestrating the maintenance actions to update all chosen components in the stack in a single cycle.

 * OpenAPI spec version: 20220528
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2024, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Exadata Fleet Update Maintenance Cycle incident logs and trace collection operation modes.
 *   ENABLE: Enable diagnostics log collection for all targets for easy troubleshooting and Oracle support for
 *   this Exadata Fleet Update Maintenance Cycle and future Exadata Fleet Update Actions.
 *   ENABLE_AND_RESTORE: Enable diagnostic log collection for all targets only for the current Exadata Fleet Update Maintenance Cycle.
 *   After cycle finishes, log collection settings will go back to the settings prior to the start of the Exadata Fleet Update Maintenance Cycle.
 *   NO_CHANGE: Use existing diagnostic log collection settings on each VM Cluster.
 *   Collect logs for targets with diagnostic log collection for targets with log collection already enabled.
 *
 **/
export declare enum DataCollectionModes {
    Enable = "ENABLE",
    EnableAndRestore = "ENABLE_AND_RESTORE",
    NoChange = "NO_CHANGE",
    /**
     * This value is used if a service returns a value for this enum that is not recognized by this
     * version of the SDK.
     */
    UnknownValue = "UNKNOWN_VALUE"
}
export declare namespace DataCollectionModes {
    function getJsonObj(obj: DataCollectionModes): DataCollectionModes;
    function getDeserializedJsonObj(obj: DataCollectionModes): DataCollectionModes;
}
